org.sunflow.core

## Class IntersectionState.StackNode

- java.lang.Object
- - org.sunflow.core.IntersectionState.StackNode

- Enclosing class:
    IntersectionState

      public static final class IntersectionState.StackNode
      extends java.lang.Object

  Traversal stack node, helps with tree-based `AccelerationStructure` traversal.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `far`
    `float` | `near`
    `int` | `node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackNode()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### node

          public int node

    - #### near

          public float near

    - #### far

          public float far

  - ### Constructor Detail

    - #### StackNode

          public StackNode()